%define name	gnome-bluetooth
%define version	0.4.1
%define release 4mdk

Name: 	 	%{name}
Summary: 	GNOME Bluetooth Subsystem
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gettext libbtctl-devel openobex-devel
BuildRequires:	libglade2.0-devel libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel bluez-sdp-devel gob2 librsvg2-devel
Provides:	gnome-obex-server

%description
The GNOME Bluetooth Subsystem contains a Bonobo server to control Bluetooth
devices, and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).

%prep
%setup -q
perl -p -i -e 's/openobex\/obex.h/obex.h/g' obex/*.c

%build
%configure --enable-shared
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}-admin" \
icon="%{name}.png" \
needs="x11" \
title="GNOME Bluetooth" \
longtitle="Bluetooth Devices Administration" \
section="System/Configuration/Hardware"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
/sbin/ldconfig
		
%postun
%clean_menus
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/%name-admin
%{_bindir}/gnome-obex-*
%{_sysconfdir}/gnome-vfs-2.0/modules/bluetooth-modules.conf
%{_libdir}/%name-control
%{_libdir}/bonobo/servers/*
%{_libdir}/gnome-vfs-2.0/modules/*
%{_datadir}/%name
%{_datadir}/idl/*.idl
%{_datadir}/applications/gnome-obex-server.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-4mdk
- Fix menu

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.4.1-3mdk
- rebuild for openobex
- clean up buildrequries

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.4.1-2mdk
- rebuild for new libcroco

* Sun Jun 8 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- 0.4.1 (from James Gregory <james@james.id.au>)
- fix buildrequires

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.4-1mdk
- initial package
